Subject: Please help
From: "Ashish C. Nagre" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 02 Jun 1999 11:42:00 -0700

Hi,
I am stuck for two days now and would be really grateful if you could
help me.

My problem is as follows:

I have a function that makes an ioctl() call 
	ioctl (fd, SIOCGIFFLAGS, (char*)&ifr)
      fd is a socket handle

The flags that are returned inside the debugger gdb are 0x99 
but when I run the executable the flags returned are 0x34.
The n/w devices are loopback, ether and RAS device.

Another strange thing is that if I do the following,
	memset((char*)&ifr, 0, sizeof(ifr))

before the ioctl() call then the behaviour inside and out of gdb is the
same.
I have really no clue why this is happening and have spent way too much
time trying to figure out.
Does anyone know why this happens ?
I will be very grateful to anyone helping me out.
Thank you for your time.

Regards,
Ashish

--
Want to unsubscribe from this list?
Send a message to [email-masked]